Subject: bug#5040: 23.1; w32-register-hot-key problem

From: Lennart Borgman <[email-masked]>
Date: Wed, 25 Nov 2009 22:48:49 +0100

On Wed, Nov 25, 2009 at 10:10 PM, Drew Adams <[email-masked]> wrote:
> emacs -Q
> M-: (w32-register-hot-key [M-tab])
>
> Visit a buffer in emacs-lisp-mode.
> Type `forward-', then hit `M-TAB'.
>
> The Windows TAB dialog comes up (dunno what you call it - a seqence of
> icons; you TAB to cycle among their apps) when you hold down the keys
> and then disappears when you release them. It should not not come up
> at all; instead, `lisp-complete-symbol' should be executed.
>
> However, from then on it works as it should. It is only the first time
> you press `M-TAB' that Windows doesn't pass the chord to Emacs.

This is AFAICS not a bug. M-TAB (and some other keys) can not be
registered as hot keys according to MS documentation.